# image-index
This project is a collection of scripts which can index and sort files on your pc. You can give every file a title, category, source, tags and content for easier finding later on.

## Functions
* add - Add a file and entry to the index
* check - check if all files saved in the index exist and aren't faulty
* delete - delete a file and remove the entry
* open - open one or more files from the index in the default application (only Linux and Windows)
* show - search through the index and show the matches
* update - change a value of an entry in the index or move a file to another category

## Installation
```sh
git clone https://gitlab.com/rodin_schule/image-index-py.git
cd ./image-index-py
cp config-def.py config.py
```

## Configuration
The file `config.py` holds some very important variables which you need to look at before using the index:
* ROOT_DIR: The absolute path of where you want to save your files (the directories for the categories will be created there)
* CONFIG_DIR: The absolute path of where you want to store your `index.db`-file.